package com.rjconsultores.ventaboletos.relatorios.utilitarios;

import java.math.BigDecimal;
import java.util.Date;

public class RelatorioResumoLinhasBean implements Comparable<RelatorioResumoLinhasBean>{

	private int INDSENTIDOIDA;
	private BigDecimal RUTA_ID;
	private BigDecimal RUTA_ID_VOLTA;
	private String NUMRUTA;
	private String PREFIXO;
	private String DESCRUTA;
	private String INTERESTADUAL;
	private String GRUPO_LINHA;
	private BigDecimal EXTENSAO_KM;
	private BigDecimal RECEITA_SEGURO;
	private BigDecimal RECEITA_BAGAGEM;
	private BigDecimal RECEITA_SEGURO_OUTROS;
	private BigDecimal RECEITA_TARIFA;
	private BigDecimal RECEITA_TARIFA_SEGURO;
	private BigDecimal RECEITA_PEDAGIO;
	private BigDecimal RECEITA_EMBARQUE;
	private BigDecimal PASSAGEIROS;
	private BigDecimal VIAGENS_EXTRA;
	private BigDecimal VIAGENS;
	private String CVE_CLASE_SERVICIO;
	private BigDecimal RECEITA_TOTAL;
	private BigDecimal VIAGENS_TOTAL;
	private BigDecimal KM_RODADO;
	private BigDecimal PASSAGEIROS_EQUIVALENTE;
	private BigDecimal PASSAGEIROS_MPA;
	private BigDecimal PASSAGEIROS_MPE;
	private BigDecimal RECEITA_KM;
	private BigDecimal RECEITA_VIAGEM;
	private BigDecimal PAX_KM;
	private BigDecimal PAX_OFERTADO;
	private String DESC_CLASE_SERVICIO;
	private BigDecimal ASSENTOS; 
	
	private Integer ROLOPERATIVO_ID;
	private Date FECCORRIDA;
	private BigDecimal TARIFA;
	private BigDecimal EQ;
	private BigDecimal IAP;
	
			

	public BigDecimal getRUTA_ID_VOLTA() {
		return RUTA_ID_VOLTA;
	}

	public void setRUTA_ID_VOLTA(BigDecimal rUTA_ID_VOLTA) {
		RUTA_ID_VOLTA = rUTA_ID_VOLTA;
	}

	public BigDecimal getRUTA_ID() {
		return RUTA_ID;
	}

	public void setRUTA_ID(BigDecimal rUTA_ID) {
		RUTA_ID = rUTA_ID;
	}

	public String getNUMRUTA() {
		return NUMRUTA;
	}

	public void setNUMRUTA(String nUMRUTA) {
		NUMRUTA = nUMRUTA;
	}

	public String getPREFIXO() {
		return PREFIXO;
	}

	public void setPREFIXO(String pREFIXO) {
		PREFIXO = pREFIXO;
	}

	public String getDESCRUTA() {
		return DESCRUTA;
	}

	public void setDESCRUTA(String dESCRUTA) {
		DESCRUTA = dESCRUTA;
	}

	public String getINTERESTADUAL() {
		return INTERESTADUAL;
	}

	public void setINTERESTADUAL(String iNTERESTADUAL) {
		INTERESTADUAL = iNTERESTADUAL;
	}

	public String getGRUPO_LINHA() {
		return GRUPO_LINHA;
	}

	public void setGRUPO_LINHA(String gRUPO_LINHA) {
		GRUPO_LINHA = gRUPO_LINHA;
	}

	public BigDecimal getEXTENSAO_KM() {
		return EXTENSAO_KM;
	}

	public void setEXTENSAO_KM(BigDecimal eXTENSAO_KM) {
		EXTENSAO_KM = eXTENSAO_KM;
	}

	public BigDecimal getRECEITA_SEGURO() {
		return RECEITA_SEGURO;
	}

	public void setRECEITA_SEGURO(BigDecimal rECEITA_SEGURO) {
		RECEITA_SEGURO = rECEITA_SEGURO;
	}

	public BigDecimal getRECEITA_BAGAGEM() {
		return RECEITA_BAGAGEM;
	}

	public void setRECEITA_BAGAGEM(BigDecimal rECEITA_BAGAGEM) {
		RECEITA_BAGAGEM = rECEITA_BAGAGEM;
	}

	public BigDecimal getRECEITA_SEGURO_OUTROS() {
		return RECEITA_SEGURO_OUTROS;
	}

	public void setRECEITA_SEGURO_OUTROS(BigDecimal rECEITA_SEGURO_OUTROS) {
		RECEITA_SEGURO_OUTROS = rECEITA_SEGURO_OUTROS;
	}

	public BigDecimal getRECEITA_TARIFA() {
		return RECEITA_TARIFA;
	}

	public void setRECEITA_TARIFA(BigDecimal rECEITA_TARIFA) {
		RECEITA_TARIFA = rECEITA_TARIFA;
	}

	public BigDecimal getRECEITA_PEDAGIO() {
		return RECEITA_PEDAGIO;
	}

	public void setRECEITA_PEDAGIO(BigDecimal rECEITA_PEDAGIO) {
		RECEITA_PEDAGIO = rECEITA_PEDAGIO;
	}

	public BigDecimal getRECEITA_EMBARQUE() {
		return RECEITA_EMBARQUE;
	}

	public void setRECEITA_EMBARQUE(BigDecimal rECEITA_EMBARQUE) {
		RECEITA_EMBARQUE = rECEITA_EMBARQUE;
	}

	public BigDecimal getPASSAGEIROS() {
		return PASSAGEIROS;
	}

	public void setPASSAGEIROS(BigDecimal pASSAGEIROS) {
		PASSAGEIROS = pASSAGEIROS;
	}

	public BigDecimal getVIAGENS_EXTRA() {
		return VIAGENS_EXTRA;
	}

	public void setVIAGENS_EXTRA(BigDecimal vIAGENS_EXTRA) {
		VIAGENS_EXTRA = vIAGENS_EXTRA;
	}

	public BigDecimal getVIAGENS() {
		return VIAGENS;
	}

	public void setVIAGENS(BigDecimal vIAGENS) {
		VIAGENS = vIAGENS;
	}

	public String getCVE_CLASE_SERVICIO() {
		return CVE_CLASE_SERVICIO;
	}

	public void setCVE_CLASE_SERVICIO(String cVE_CLASE_SERVICIO) {
		CVE_CLASE_SERVICIO = cVE_CLASE_SERVICIO;
	}

	public BigDecimal getRECEITA_TOTAL() {
		return RECEITA_TOTAL;
	}

	public void setRECEITA_TOTAL(BigDecimal rECEITA_TOTAL) {
		RECEITA_TOTAL = rECEITA_TOTAL;
	}

	public BigDecimal getVIAGENS_TOTAL() {
		return VIAGENS_TOTAL;
	}

	public void setVIAGENS_TOTAL(BigDecimal vIAGENS_TOTAL) {
		VIAGENS_TOTAL = vIAGENS_TOTAL;
	}

	public BigDecimal getKM_RODADO() {
		return KM_RODADO;
	}

	public void setKM_RODADO(BigDecimal kM_RODADO) {
		KM_RODADO = kM_RODADO;
	}

	public BigDecimal getPASSAGEIROS_EQUIVALENTE() {
		return PASSAGEIROS_EQUIVALENTE;
	}

	public void setPASSAGEIROS_EQUIVALENTE(BigDecimal pASSAGEIROS_EQUIVALENTE) {
		PASSAGEIROS_EQUIVALENTE = pASSAGEIROS_EQUIVALENTE;
	}

	public BigDecimal getPASSAGEIROS_MPA() {
		return PASSAGEIROS_MPA;
	}

	public void setPASSAGEIROS_MPA(BigDecimal pASSAGEIROS_MPA) {
		PASSAGEIROS_MPA = pASSAGEIROS_MPA;
	}

	public BigDecimal getPASSAGEIROS_MPE() {
		return PASSAGEIROS_MPE;
	}

	public void setPASSAGEIROS_MPE(BigDecimal pASSAGEIROS_MPE) {
		PASSAGEIROS_MPE = pASSAGEIROS_MPE;
	}

	public BigDecimal getRECEITA_KM() {
		return RECEITA_KM;
	}

	public void setRECEITA_KM(BigDecimal rECEITA_KM) {
		RECEITA_KM = rECEITA_KM;
	}

	public BigDecimal getRECEITA_VIAGEM() {
		return RECEITA_VIAGEM;
	}

	public void setRECEITA_VIAGEM(BigDecimal rECEITA_VIAGEM) {
		RECEITA_VIAGEM = rECEITA_VIAGEM;
	}

	public BigDecimal getPAX_KM() {
		return PAX_KM;
	}

	public void setPAX_KM(BigDecimal pAX_KM) {
		PAX_KM = pAX_KM;
	}

	public BigDecimal getPAX_OFERTADO() {
		return PAX_OFERTADO;
	}

	public void setPAX_OFERTADO(BigDecimal pAX_OFERTADO) {
		PAX_OFERTADO = pAX_OFERTADO;
	}
	
	public int getINDSENTIDOIDA() {
		return INDSENTIDOIDA;
	}

	public void setINDSENTIDOIDA(int iNDSENTIDOIDA) {
		INDSENTIDOIDA = iNDSENTIDOIDA;
	}

	public String getDESC_CLASE_SERVICIO() {
		return DESC_CLASE_SERVICIO;
	}

	public void setDESC_CLASE_SERVICIO(String dESC_CLASE_SERVICIO) {
		DESC_CLASE_SERVICIO = dESC_CLASE_SERVICIO;
	}

	public BigDecimal getRECEITA_TARIFA_SEGURO() {
		return RECEITA_TARIFA_SEGURO;
	}

	public void setRECEITA_TARIFA_SEGURO(BigDecimal rECEITA_TARIFA_SEGURO) {
		RECEITA_TARIFA_SEGURO = rECEITA_TARIFA_SEGURO;
	}

	public BigDecimal getASSENTOS() {
		return ASSENTOS;
	}

	public void setASSENTOS(BigDecimal aSSENTOS) {
		ASSENTOS = aSSENTOS;
	}
	
	@Override
	public String toString() {
		// TODO Auto-generated method stub
		return  getRUTA_ID() + getDESCRUTA();
	}

	@Override
	public int compareTo(RelatorioResumoLinhasBean o) {
		if( this == null || o == null) {
			return -1;
		}
		
		return this.getPREFIXO().compareTo(o.getPREFIXO());
	}

	public Integer getROLOPERATIVO_ID() {
		return ROLOPERATIVO_ID;
	}

	public void setROLOPERATIVO_ID(Integer rOLOPERATIVO_ID) {
		ROLOPERATIVO_ID = rOLOPERATIVO_ID;
	}

	public Date getFECCORRIDA() {
		return FECCORRIDA;
	}

	public void setFECCORRIDA(Date fECCORRIDA) {
		FECCORRIDA = fECCORRIDA;
	}

	public BigDecimal getTARIFA() {
		return TARIFA;
	}

	public void setTARIFA(BigDecimal tARIFA) {
		TARIFA = tARIFA;
	}

	public BigDecimal getEQ() {
		return EQ;
	}

	public void setEQ(BigDecimal eQ) {
		EQ = eQ;
	}

	public BigDecimal getIAP() {
		return IAP;
	}

	public void setIAP(BigDecimal iAP) {
		IAP = iAP;
	}
	
}
